package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Created by m1991 on 2021/3/1 14:00
 */
public class UsersDto extends User implements Serializable {
    /**
     * 主键id
     */
    private Integer id;     //  beInvitedCode":"1","id":65,"inviteCode":"GBY34L","userId":"19919990669","userLevel":0
    /**
     * 手机号作为用户账号
     */
    private String userId;
    /**
     * 用户头像
     */
//    private String headImage;
    /**
     * 用户会员等级
     */
    private int userLevel;

    /**
     * 跨境额度
     */

//    private BigDecimal crossBorderLine;


    /**
     * 用户本人邀请码
     */
    private String inviteCode;

    /**
     * 推荐人邀请码
     */
//    private String beInvitedCode;

    /**
     * 用户名称
     */
//    private Integer userName;

    /**
     * 创建时间
     */
//    private Date createTime;

    //用户token
    private String token;

    @Override
    public Integer getId() {
        return id;
    }

    @Override
    public void setId(Integer id) {
        this.id = id;
    }

    @Override
    public String getUserId() {
        return userId;
    }

    @Override
    public void setUserId(String userId) {
        this.userId = userId;
    }



    @Override
    public int getUserLevel() {
        return userLevel;
    }

    @Override
    public void setUserLevel(int userLevel) {
        this.userLevel = userLevel;
    }



    @Override
    public String getInviteCode() {
        return inviteCode;
    }

    @Override
    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }


    public String getToken() {
        return token;
    }
    public void setToken(String token) {
        this.token = token;
    }
}
